Bug 14302 - 3c59x apm problems
Summary: 3c59x apm problems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-20 01:07 UTC by Matthew Galgoci
Modified: 2007-04-18 16:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 18:47:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2000-07-20 01:07:03 UTC
Machine is a dell Latitude LS with a built-in 3c905C-TX, rev 78

When the machine goes into suspend, the ethernet controller loses
itself. Upon waking up, the network interface is still present and 
up, but is not functioning. In order to restore the network device,
the kernel module 3c59x must be unloaded and then reloaded.

This is actually on the updated 2.2.16-3 kernel from the 6.2 updates,
but a diff of the drivers in 2.2.16-3 and 2.2.16-8 revealed no 
changes.

Comment 1 Matthew Galgoci 2000-07-20 01:29:09 UTC
I switched to the 3c90x driver, and networking can now be restored by
simply dropping the interface and bringing it back up again. No module
reload necessary, but it is still inconvenient.

Comment 2 Matthew Galgoci 2000-07-20 01:35:02 UTC
I will try the beta3 kernel next, and see if the 3c90x driver in it is 
better.

Comment 3 Michael K. Johnson 2000-08-01 20:15:14 UTC
Sometimes you just need to configure apmd to do pcmcia stop on
suspend and pcmcia start on wake.

Comment 4 David Sainty 2001-03-18 22:34:47 UTC
I have EXACTLY the same problem with a Latitude LS500 here.  I suspend, and when
I come back, I must remove and reload the module before the in-built 3com will
work again.

LATEST rawhide - 2.4.2-0.1.29 kernel  (i.e. this isn't a 2.2 kernel specific thing.)



Note You need to log in before you can comment on or make changes to this bug.